.balance{
  align-items: flex-start;
  background-color: var(--white);
  border: 1px solid;
  border-color: var(--dark-violet);
  border-radius: 30px;
  display: flex;
  flex-direction: column;
  gap: 16px;
  padding: 28px 4px 28px 28px ;
  grid-column: span 4;
  width: 344px;

  &Header{
    font-size: var(--font-size-xl);
    text-align: center;
    color: var(--dark);
  }

  &List{
    width: 100%;
    height: 274px;
    overflow: hidden;
    overflow-y: scroll;
    padding-right: 24px;

    &::-webkit-scrollbar {
      width: 2px;
    }
    &::-webkit-scrollbar-thumb {
      background: var(--violet-light);
      border-radius: 10px;
    }
    &::-webkit-scrollbar-track {
      background-color: #ddd;
      border: 1px solid #ccc;
    }
    &::-webkit-scrollbar-button {
      background-color: var(--violet-light);
      border-radius: 10px;
      width: 2px;
    }
    &::-webkit-scrollbar-button:hover {
      background-color: #999999;
    }
    &{
      scrollbar-width: thin;
      scrollbar-color:  var(--violet-light) var(--white);
    }

  }
  &Item{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 0;
    width: 100%;

    +.balanceItem{
      border-top: 1px solid var(--violet-light);
    }
  }
  &Label{
    color: var(--dark);
    font-size: var(--font-size-m);
    font-weight: 400;
  }
  &Value{
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--dark);
    font-size: var(--font-size-l);
    font-style: normal;
    font-weight: 400;
    border-radius: 20px;
    height: 40px;
    width: 40px;
    background-color: var(--violet-light);
  }

  &Footer{
    width: 100%;
    padding-right: 24px;
    display: block;
    text-align: center;

  }

}
